Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGReportTemplate

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.reports.server.bean.BGReportTemplate

public class BGReportTemplate extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
Для Jasper-отчётов.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BGReportTemplate.ReportFiller`
  `static class`
  `BGReportTemplate.ReportResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGReportTemplate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `fillReportToPdfStream(List<net.sf.jasperreports.engine.JasperReport> reports, BGReportFilter filter, Connection con, Document doc, OutputStream out)`
  `static void`
  `fillReportToPdfStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, Document doc, OutputStream out)`
  `static void`
  `fillReportToStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, OutputStream out)`
  `static void`
  `fillReportToStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, Document doc, OutputStream out)`
  `static void`
  `fillReportToXlsStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, Document doc, OutputStream out)`
  `static net.sf.jasperreports.engine.JasperReport`
  `getJasperReport(URI uri)`
  `static net.sf.jasperreports.engine.JasperReport`
  `getJasperReport(ParameterMap setup, URI uri)`
  `static net.sf.jasperreports.engine.JasperReport`
  `getJasperReport(ParameterMap setup, URL url)`
  `static void`
  `prepareJasperDesign(ParameterMap setup, net.sf.jasperreports.engine.design.JasperDesign design)`
  Устанавливаем pdfFontEmbedded для отображения русских букв в pdf, если в самом отчете не было установлено

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGReportTemplate

    public BGReportTemplate()

- ## Method Details

  - ### getJasperReport

    public static net.sf.jasperreports.engine.JasperReport getJasperReport(URI uri) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getJasperReport

    public static net.sf.jasperreports.engine.JasperReport getJasperReport(ParameterMap setup, URI uri) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getJasperReport

    public static net.sf.jasperreports.engine.JasperReport getJasperReport(ParameterMap setup, URL url) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### prepareJasperDesign

    public static void prepareJasperDesign(ParameterMap setup, net.sf.jasperreports.engine.design.JasperDesign design)
    Устанавливаем pdfFontEmbedded для отображения русских букв в pdf, если в самом отчете не было установлено
    Parameters:
      `setup` -
      `design` -

  - ### fillReportToStream

    public static void fillReportToStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, Document doc, OutputStream out) throws Exception
    Throws:
      `Exception`

  - ### fillReportToPdfStream

    public static void fillReportToPdfStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, Document doc, OutputStream out)

  - ### fillReportToXlsStream

    public static void fillReportToXlsStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, Document doc, OutputStream out)

  - ### fillReportToPdfStream

    public static void fillReportToPdfStream(List<net.sf.jasperreports.engine.JasperReport> reports, BGReportFilter filter, Connection con, Document doc, OutputStream out)

  - ### fillReportToStream

    public static void fillReportToStream(net.sf.jasperreports.engine.JasperReport report, BGReportFilter filter, Connection con, OutputStream out) throws Exception
    Throws:
      `Exception`